extends StaticBody3D

var number = 0

func _on_input_event(_camera, event, _position, _normal, _shape_idx):
	if event is InputEventMouseButton and event.is_action_pressed("interact"):
		$"..".rotate_x(PI/5)
		$Audio.playing = true
		number = (number + 1) % 10
